libsigc++ 2.0: sigc::internal::signal_emit0< T_return, T_accumulator > Struct Template Reference

Main Page Groups Namespaces

# sigc::internal::signal_emit0<T_return, T_accumulator> Struct Template Reference

Abstracts signal emission. More...

List of all members.

## Public Types
typedef signal_emit0 < T_return, T_accumulator > | self_type
typedef T_accumulator::result_type | result_type
typedef slot<T_return> | slot_type
## Package Types
typedef signal_impl::const_iterator_type | iterator_type
## Package Functions
| signal_emit0 ()
T_return | operator() (const slot_type& _A_slot) const
| Invokes a slot.
## Static Package Functions
static result_type | emit (signal_impl* impl)
| Executes a list of slots using an accumulator of type T_accumulator.
## Package Attributes
| __pad0__:slot_iterator_buf<self_type> slot_iterator_buf_type

## Detailed Description

### template <class T_return, class T_accumulator>
struct sigc::internal::signal_emit0< T_return, T_accumulator >

Abstracts signal emission.

This template implements the emit() function of signal0. Template specializations are available to optimize signal emission when no accumulator is used, i.e. the template argument T_accumulator is `nil`.

## Member Typedef Documentation

template <class T_return, class T_accumulator>

typedef signal_emit0<T_return, T_accumulator> sigc::internal::signal_emit0<T_return, T_accumulator>::self_type

template <class T_return, class T_accumulator>

typedef T_accumulator::result_type sigc::internal::signal_emit0<T_return, T_accumulator>::result_type

template <class T_return, class T_accumulator>

typedef slot<T_return> sigc::internal::signal_emit0<T_return, T_accumulator>::slot_type

template <class T_return, class T_accumulator>

typedef signal_impl::const_iterator_type sigc::internal::signal_emit0<T_return, T_accumulator>::iterator_type`[package]`

## Constructor & Destructor Documentation

template <class T_return, class T_accumulator>

sigc::internal::signal_emit0<T_return, T_accumulator>::signal_emit0 | ( |  | ) | `[inline, package]`

## Member Function Documentation

template <class T_return, class T_accumulator>

T_return sigc::internal::signal_emit0<T_return, T_accumulator>::operator() | ( | const slot_type& | _A_slot | ) | const`[inline, package]`

Invokes a slot.

Parameters:

  | _A_slot | Some slot to invoke.

Returns:
  The slot's return value.

template <class T_return, class T_accumulator>

static result_type sigc::internal::signal_emit0<T_return, T_accumulator>::emit | ( | signal_impl* | impl | ) | `[inline, static, package]`

Executes a list of slots using an accumulator of type T_accumulator.

Returns:
  The accumulated return values of the slot invocations as processed by the accumulator.

## Member Data Documentation

template <class T_return, class T_accumulator>

sigc::internal::signal_emit0<T_return, T_accumulator>::__pad0__`[package]`

The documentation for this struct was generated from the following file:

- signal.h